package gamespecific
{
    import flash.events.Event;
    import gamespecific.gamestates.PlanetSelect;
    import meyermike.core.BaseGame;
    import gamespecific.gamestates.Title;
    import meyermike.Global;
    import meyermike.util.music.Song;

    /**
     * Game-specific overrides of Main
     */
    public class Main extends BaseGame
    {
        /**
         * Preloading has finished! Start the game!
         */
        protected override function PreloadComplete():void
        {
            Global.StageWidth = 640;
            Global.StageHeight = 320;

            super.PreloadComplete();

            Time.BeatsPerMinute = 120;

            ChangeGameState(new PlanetSelect());
        }

        private function ToggleMusic():void
        {
            if (Music.IsPlaying)
            {
                Music.Pause();
            }
            else
            {
                Music.Resume();
            }
        }
    }
}
