﻿package gamespecific.step
{
    import gamespecific.Enemy;
    import meyermike.core.GameObjectHolder;
    import meyermike.script.Step;

    /**
     * ...
     * @author Mike Meyer
     */
    public class SpawnEnemy extends Step
    {
        private var _layer:GameObjectHolder;
        private var _wikiLine:String;

        public function SpawnEnemy(layer:GameObjectHolder, wikiLine:String)
        {
            super();
            _layer = layer;
            _wikiLine = wikiLine;
        }

        public override function Execute(timeDelta:Number):Boolean
        {
            var e:Enemy = _layer.Add(Enemy) as Enemy;
            e.Text = _wikiLine;

            return true;
        }

    }

}
