﻿package gamespecific.widget
{
    import meyermike.constants.Colors;
    import meyermike.Global;
    import meyermike.widget.TextField;

    /**
     * ...
     * @author Mike Meyer
     */
    public class ScrollingText extends TextField
    {
        private static const SCROLL_SPEED:Number = 30;

        /**
         * Initial setup
         */
        public override function Init():void
        {
            super.Init();

            this.dx = 0;
            this.dy = -SCROLL_SPEED;
            this.CenterOn(0.5 * Global.StageWidth, Global.StageHeight );
            this.SetFontSize(12);
            this.SetFontColor(Colors.WHITE_ENOUGH);
        }

        public override function IsAlive():Boolean
        {
            return this.y + this.height > 0;
        }
    }

}
