﻿package meyermike.script.step
{
    import meyermike.script.Step;

    /**
     * Step to just make it wait for some amount of time
     * @author Mike Meyer
     */
    public class WaitTime extends Step
    {
        private var mDuration:Number;
        private var mCountDown:Number;

        public function WaitTime(secondsToWait:Number=1.0)
        {
            mDuration = secondsToWait;
            mCountDown = secondsToWait;
        }

        public override function Execute(timeDelta:Number):Boolean
        {
            mCountDown -= timeDelta;

            return (mCountDown <= 0);
        }

        /**
         * Go back to the beginning
         */
        public override function Restart():void
        {
            mCountDown = mDuration;
        }
    }

}
